<?php
/**
* バリデータを定義するインタフェース
*
* PHP version 5
*
* @package    interfaces
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/
interface charcoal_IValidator
{
	/**
	 * バリデータ名
	 */
	public function getValidatorName();

	/**
	 * バリデータを初期化する
	 */
	public function init( charcoal_Config $config );

	/**
	 * 変数値をバリデートする
	 */
	public function validate( $value );
}
